/* Reset e Box-Sizing */
*,
*:after,
*:before {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

/* Variáveis */
:root {
    --primary-color: #005ca9;
    --secondary-color: #f79a00;
    --btn-color: #171614;
    --text-color: #ccc;
    --header-height: 70px;
}

::-webkit-scrollbar {
    display: none;
}

/* Tipografia e Base */
body,
button,
input {
    font-family: "Nunito Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
}

input[type="number"],
input[type="text"] {
    border: 1px solid #aaa;
    padding: 5px;
    font-size: 18px;
    width: 100px;
}

/* Links e Botões */
button,
.btn {
    height: 46px;
    background: #03A9F4;
    color: #fff;
    padding: 5px 15px;
    border: none;
    border-radius: 30px;
    box-shadow: 0 4px 7px rgba(0, 0, 0, 0.4);
    font-size: 14px;
    font-weight: 700;
    cursor: pointer;
    text-decoration: none;
    text-shadow: none;
    outline: none;
    transition: ease-out .3s all;
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */

    display: flex;
    align-items: center;
    justify-content: center;
}

button:hover,
.btn:hover {
    transform: scale(1.02);
}

button:focus {
    outline: 0;
}

body {
    margin: 0 auto;
    max-width: 800px;
    width: 100%;
    height: 100%;
    padding: 0;
    
    font-size: 14px;
    color: #222;
    overflow-y: scroll;
    background-image: linear-gradient(180deg, #132445 51%, #005BA6 100%);
    background-color: #005BA6;
    background-repeat: no-repeat;
    background-attachment: fixed;
    
    display: flex;
    align-items: center;
    justify-content: start;
    flex-direction: column;
}

body .main-wrap {
    width: 100%;
    max-height: 100vh;
    overflow: auto;
    position: relative;
    margin: 0 auto;
}

.chat-header {
    position: fixed;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    max-width: 800px;
    height: var(--header-height);
    background-color: #132445;
    padding: 10px 20px;
    z-index: 999;

    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.chat-header .header-logo {
    width: 30%;
    height: 100%;
}

.chat-header #logo{
    height: 100%;
    width: 100%;
    object-fit: contain;
    object-position: left;
}

.chat-header .header-info {
    width: 70%;
    color: #ffffff85;
    text-align: right;
    font-style: italic;
    padding: 5px;
}

.chat-header .header-social {
    display: inline-flex;
    gap: 10px;
}

.chat-header .header-social a {
    color: #ffffffa1;
    text-decoration: none;
}

.chat-header .header-social a:hover {
    color: #ffffffd5;
}

.container {
    border: 2px solid #333333;
    background-color: #f1f1f1;
    border-radius: 5px;
    padding: 10px;
    margin: 10px 0;
}

.darker {
    border-color: #ccc;
    background-color: #ddd;
}

.container::after {
    content: "";
    clear: both;
    display: table;
}

.avatar {
    float: left;
    max-width: 60px;
    width: 100%;
    margin-right: 20px;
    border-radius: 50%;
}

.img-uploaded {
    margin: auto;
    width: 50%;
    padding: 10px;
}

.container img.right {
    float: right;
    margin-left: 20px;
    margin-right: 0;
}

.time-right {
    float: right;
    color: #aaa;
}

.time-left {
    float: left;
    color: #999;
}

.file {
    opacity: 0;
    width: 0.1px;
    height: 0.1px;
    position: absolute;
}

.file-input label {
    display: block;
    position: relative;
    width: 200px;
    height: 50px;
    background: #03A9F4
    ;
    box-shadow: 0 4px 7px rgba(0, 0, 0, 0.4);
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    font-weight: bold;
    cursor: pointer;
    transition: transform .2s ease-out;

    border: none;
    font-family: sans-serif;
    border-radius: 30px;
}

input:hover+label,
input:focus+label {
    transform: scale(1.02);
}

#wrapper {
    width: 600px;
    margin: 50px auto;
}

.chat ul {
    margin: 0px;
    padding: 0px;
    list-style: none;
}

.chat-message-list {
    padding-left: 0px;
}

.message-left .message-time {
    display: block;
    font-size: 12px;
    text-align: left;
    padding-left: 30px;
    padding-top: 4px;
    color: #fff;
    font-family: Courier;
}

.message-right .message-time {
    display: block;
    font-size: 12px;
    text-align: right;
    padding-right: 20px;
    padding-top: 4px;
    color: #fff;
    font-family: Courier;
}

.message-left {
    text-align: left;
    margin-bottom: 16px;
}

.message-text {
    line-height: 1.5em;
    border-radius: 30px;
}

.message-text img {
    width: 200px;
    max-width: 100%;
}

.message-left .message-text {
    max-width: 80%;
    display: inline-block;
    background: #fff;
    padding: 15px;
    font-size: 1em;
    color: #626262;
    border-bottom-left-radius: 0px;
}

.message-right {
    text-align: right;
    margin-bottom: 16px;
}

.message-right .message-text {
    display: inline-block;
    padding: 15px;
    font-size: 14px;
    color: #fff;
    font-weight: 100;
    text-align: left;
}

.chat {
    border-radius: 30px;
    padding: 20px;
    background: #f5f7fa;
}

.chat-container {
    margin-top: var(--header-height);
    padding: 20px;
}

.spinner-right {
    display: inline-block;
    padding: 15px 20px;
    font-size: 14px;
    border-radius: 30px;
    line-height: 1.25em;
    font-weight: 100;
    opacity: 0.2;
}

.spinner-left {
    display: inline-block;
    padding: 15px 20px;
    font-size: 14px;
    color: #ccc;
    border-radius: 30px;
    line-height: 1.25em;
    font-weight: 100;
    opacity: 0.2;
}

.spinner {
    margin: 0;
    width: 30px;
    text-align: center;
    display: flex;
}

.spinner>div {
    width: 10px;
    height: 10px;
    border-radius: 100%;
    display: inline-block;
    -webkit-animation: sk-bouncedelay 1.4s infinite ease-in-out both;
    animation: sk-bouncedelay 1.4s infinite ease-in-out both;
    background: rgb(255, 255, 255);
}

.spinner .bounce1 {
    -webkit-animation-delay: -0.32s;
    animation-delay: -0.32s;
}

.spinner .bounce2 {
    -webkit-animation-delay: -0.16s;
    animation-delay: -0.16s;
}

@-webkit-keyframes sk-bouncedelay {

    0%,
    80%,
    100% {
        -webkit-transform: scale(0)
    }

    40% {
        -webkit-transform: scale(1.0)
    }
}

@keyframes sk-bouncedelay {

    0%,
    80%,
    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    40% {
        -webkit-transform: scale(1.0);
        transform: scale(1.0);
    }
}


.fab {
    position: fixed;
    bottom: 10px;
    right: 10px;
}

.fab button {
    cursor: pointer;
    width: 48px;
    height: 48px;
    border-radius: 30px;
    background-color: #cb60b3;
    border: none;
    box-shadow: 0 1px 5px rgba(0, 0, 0, .4);
    font-size: 24px;
    color: white;

    -webkit-transition: .2s ease-out;
    -moz-transition: .2s ease-out;
    transition: .2s ease-out;
}

.fab button.main {
    position: absolute;
    width: 60px;
    height: 60px;
    border-radius: 30px;
    background-color: #018025;
    right: 0;
    bottom: 0;
    z-index: 20;
}

.fab ul {
    position: absolute;
    bottom: 0;
    right: 0;
    padding: 0;
    padding-right: 5px;
    margin: 0;
    list-style: none;
    z-index: 10;

    -webkit-transition: .2s ease-out;
    -moz-transition: .2s ease-out;
    transition: .2s ease-out;
}

.fab ul li {
    display: flex;
    justify-content: flex-start;
    position: relative;
    margin-bottom: -10%;
    opacity: 0;

    -webkit-transition: .3s ease-out;
    -moz-transition: .3s ease-out;
    transition: .3s ease-out;
}

.fab ul li label {
    margin-right: 10px;
    white-space: nowrap;
    display: block;
    margin-top: 10px;
    padding: 5px 8px;
    background-color: white;
    box-shadow: 0 1px 3px rgba(0, 0, 0, .2);
    border-radius: 3px;
    height: 18px;
    font-size: 16px;
    pointer-events: none;
    opacity: 0;

    -webkit-transition: .2s ease-out;
    -moz-transition: .2s ease-out;
    transition: .2s ease-out;
}






/* ================================= */


.avaiable-templates {
    --space: 2;
    --gap: 20px;

    display: flex;
    gap: var(--gap);
    flex-wrap: wrap;
}

.avaiable-templates .template {
    width: calc((100% - (var(--gap) * var(--space))) / (var(--space) + 1));
    cursor: pointer;
}

.avaiable-templates .template.disable {
    opacity: .4;
    pointer-events: none;
}

.avaiable-templates .template img {
    width: 170px;
    height: 170px;
    object-fit: contain;
    object-position: bottom;
}

#photo-upload-container {
    --var-legth: 600px;

    position: fixed;
    padding: 20px;
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(6px);
    -webkit-backdrop-filter: blur(6px);
}

#photo-upload-container:not(.ready) {
    display: none;
}

#photo-upload-container .photo-upload-wrap {
    position: relative;
    width: var(--var-legth);
    height: var(--var-legth);
    max-width: 1024px;
    margin: 0;
}

.photo-upload-actions {
    width: 100%;
    max-width: var(--var-legth);
    display: flex;
    gap: 10px;
    justify-content: space-between;
}

.photo-upload-actions .btn {
    max-width: 48%;
    width: 180px;
}

.photo-upload-actions .file-btn {
    position: relative;
    background-color: #F79A01;
}

.file-btn input[type="file"] {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
}

.croppie-container .cr-boundary {
    height: 400px;
}

@media (max-width: 991px) {
    .croppie-container .cr-slider-wrap {
        margin-top: 50px;
    }
}

@media (max-width: 768px) {
    .avaiable-templates {
        --gap: 10px;
    }
    .chat-header .header-cnpj {
        font-size: 0.7rem;
    }
}
